/****************************************************************************
 * This file is part of the project AqHome.
 * AqHome (c) by 2024 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/

#ifndef AQHOMEREACT_U_LOGICAL_H
#define AQHOMEREACT_U_LOGICAL_H


#include "aqhome-react/server.h"
#include "aqhome-react/types/unit.h"


AQHREACT_UNIT *AqHomeReact_UnitOr_new(AQH_OBJECT *aqh);
AQHREACT_UNIT *AqHomeReact_UnitNor_new(AQH_OBJECT *aqh);

AQHREACT_UNIT *AqHomeReact_UnitAnd_new(AQH_OBJECT *aqh);
AQHREACT_UNIT *AqHomeReact_UnitNand_new(AQH_OBJECT *aqh);

AQHREACT_UNIT *AqHomeReact_UnitXor_new(AQH_OBJECT *aqh);
AQHREACT_UNIT *AqHomeReact_UnitInvert_new(AQH_OBJECT *aqh);



#endif


